require 'lambda/version'

module Lambda
    class Error < StandardError; end
    require 'etc'
    require 'colorize'

    module_function
    def prompt
        user = Etc.getlogin
        dir = Dir.pwd

        prt = user.green + '@'.cyan + dir.blue + ' λ '.cyan
        return prt
    end

    module_function
    def change_dir(dir)
        Dir.chdir(dir.strip)
    end

    def main
        active = true
        while active
            print prompt
            cmd = gets.chomp

            case cmd.partition(' ')[0]
            when 'cd'
                change_dir(cmd.partition(' ')[2])
            when 'exit'
                active = false
            else
                system(cmd)
            end
        end
    end
end

begin
    Lambda.main
end